if(app.documents.length != 0){ 

	var doc = app.activeDocument;
	var persistentSetting;
	
	var myWindow = new Window ("dialog", "WiseBanner Save as GIF");
	
	var topRow = myWindow.add("panel");
	
		topRow.orientation = "column";
		topRow.alignChildren = "left";
		topRow.add ("statictext", undefined, "Banner Set Folder Name:");
		var myText = topRow.add ("edittext", undefined, "BannerSet-", {name: 'myText'});
		   myText.characters = 20;
		   myText.active = true;
		var closeDocs = topRow.add ("checkbox", undefined, "Close Documents After Saving");
		
	var bottomRow = myWindow.add("group");
		var btnOk = bottomRow.add ("button", undefined, "Save Banners", {name: 'btnOk'});
		

	btnOk.onClick = function() { 
		
		persistentSetting = new ActionDescriptor();
		persistentSetting_Close = new ActionDescriptor();
		
		folderN = topRow.myText.text;
		
		var highResFolder = new Folder(decodeURI(doc.path)+'/'+folderN);
		if(!highResFolder.exesits) highResFolder.create();

		var readableFolder = decodeURI(doc.path)+'/'+folderN;
		
		persistentSetting.putData(0,readableFolder);
		app.putCustomOptions("folder_name",persistentSetting,true);
		
		if (closeDocs.value == true) {
			persistentSetting_Close.putData(0,'yes');
		} else {
			persistentSetting_Close.putData(0,'no');
		}
		app.putCustomOptions("close_folder",persistentSetting_Close,true);

		myWindow.close();

	}
	
	myWindow.show ();
	
	
}