﻿if(app.documents.length != 0){ 


	var persistentSetting;
	var persistentSettingColor;
	var persistentSettingFont;
	var persistentSettingTracking;
	var doc = app.activeDocument;
	var al = doc.activeLayer;
	
	try {
	   persistentSetting = app.getCustomOptions("text_contents4");     
	   persistentSettingColor = app.getCustomOptions("text_color");   
	   persistentSettingFont = app.getCustomOptions("font_choice");   
	   persistentSettingTracking = app.getCustomOptions("tracking");   
	} catch(e) {}
	
	if (persistentSetting == null)
	{
	
		persistentSetting = new ActionDescriptor();
		persistentSettingColor = new ActionDescriptor();
		persistentSettingFont = new ActionDescriptor();
		persistentSettingTracking = new ActionDescriptor();
		
		titleLayer = al.textItem.contents;
		titleColor = al.textItem.color.rgb.hexValue;
		titleFont = al.textItem.font;
		titleTracking = al.textItem.tracking;

		persistentSettingColor.putData(0,titleColor);
		app.putCustomOptions("text_color",persistentSettingColor,true);
		
		persistentSetting.putData(0,al.textItem.contents);
		app.putCustomOptions("text_contents4",persistentSetting,true);

		persistentSettingFont.putData(0,titleFont);
		app.putCustomOptions("font_choice",persistentSettingFont,true);
		
		persistentSettingTracking.putData(0,titleTracking);
		app.putCustomOptions("tracking",persistentSettingTracking,true);
		
		
	   
	}  else 
	{
		al.textItem.color.rgb.hexValue = persistentSettingColor.getData(0);
		al.textItem.contents = persistentSetting.getData(0).replace("", "'");
		al.textItem.font = persistentSettingFont.getData(0);
		al.textItem.tracking = persistentSettingTracking.getData(0);
	}
		
}  