if(app.documents.length != 0){ 

	var doc = app.activeDocument;
	var persistentSetting; 
	var docuName = doc.name;
	
	
	try {
	   persistentSetting = app.getCustomOptions("folder_name");     
	   persistentSetting_Close = app.getCustomOptions("close_folder");   
	   persistentSetting_JPGQuality = app.getCustomOptions("JPG_Quality");   
	} catch(e) {}
	
	function SaveForWeb(saveFile,jpegQuality) {
	var sfwOptions = new ExportOptionsSaveForWeb(); 
	   sfwOptions.format = SaveDocumentType.JPEG; 
	   sfwOptions.includeProfile = false; 
	   sfwOptions.interlaced = 0; 
	   sfwOptions.optimized = true; 
	   sfwOptions.quality = jpegQuality; //0-100 
	activeDocument.exportDocument(saveFile, ExportType.SAVEFORWEB, sfwOptions);
	}

	//var Name = app.activeDocument.name.replace(/\.[^\.]+$/, ''); 
	var saveFile = File(persistentSetting.getData(0)+'/'+docuName+'.jpg');

	SaveForWeb(saveFile,persistentSetting_JPGQuality.getData(0)); //change to 60 for 60%
	delete docuName;
	
	if (persistentSetting_Close.getData(0) == 'yes')
		doc.close(SaveOptions.DONOTSAVECHANGES);

}